Bug 522961 - Improper Generalisation in English release notes
Summary: Improper Generalisation in English release notes
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora Documentation
Classification: Fedora
Component: release-notes
Version: devel
Hardware: All
OS: All
low
low
Target Milestone: ---
Assignee: A. Mani
QA Contact: Karsten Wade
URL: http://docs.fedoraproject.org/release...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-12 18:21 UTC by James Marshall Brannan
Modified: 2009-09-17 06:29 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-17 06:29:41 UTC


Attachments (Terms of Use)

Description James Marshall Brannan 2009-09-12 18:21:22 UTC
The statement "No software is without bugs." is located under section "1.4 Common Bugs"

This statement is incorrect. It could be replaced with "Most complex software contains bugs" or "No known operating system is without bugs".

Comment 1 A. Mani 2009-09-14 02:53:13 UTC
Yes, it is possible to write bug free software. Software in interpreted languages like R do turn out to be bug free. Safety critical s/w can have a few LOC and still appear bug free.  

"Software bugs are common but not necessarily unavoidable" should be appropriate.

Comment 2 A. Mani 2009-09-14 22:30:16 UTC
It is not a 'logical fallacy'.

Comment 3 James Marshall Brannan 2009-09-14 23:41:25 UTC
(In reply to comment #2)
> It is not a 'logical fallacy'.  

hasty generalization: "Making assumptions about a whole group or range of cases based on a sample that is inadequate" (from http://www.unc.edu/depts/wcweb/handouts/fallacies.html).

Comment 4 A. Mani 2009-09-17 00:01:57 UTC
The statement is not a logical fallacy, if we see it from a 'ontology-free logic' point of view. It may or may not be a case of 'hasty generalisation' (it may be due to conditioning), but is definitely a form of improper generalisation.  

Whatever, the line should be rectified. 

The revision history points to Rudiger Landmann

Comment 5 Ruediger Landmann 2009-09-17 06:29:41 UTC
(In reply to comment #4)

> The revision history points to Rudiger Landmann  

No, it doesn't: 

http://git.fedorahosted.org/git/docs/?p=docs/release-notes.git;a=commitdiff;h=a0146fb386c9c74ce12f5fb03fe6a7921b369c5c

Anyway, fixed for F12 along the lines suggested by the reporter:

http://git.fedorahosted.org/git/docs/?p=docs/release-notes.git;a=commitdiff;h=1963228844a3d7f78d2efc87f190003842bfaa3b

Thanks for the catch, James! :)


Note You need to log in before you can comment on or make changes to this bug.